<?php
  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $pedido_id      = $decoded['pedido_id'];
  $articulo_id    = $decoded['articulo_id'];

  if( $usr_id && $pedido_id && $articulo_id ){

    //User
    $Query = "
      SELECT
        usr.id
      FROM usuarios_app usr
      WHERE
        usr.id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida articulo
      $Query = "
        SELECT
          art.id
        FROM articulos_pedidos_articulos art
        WHERE
          art.fk_pedido = '$pedido_id'
          AND art.id = '$articulo_id'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Art = mysqli_fetch_assoc($Result);
      if( $Art[id] ){

        //Delete
        $Query = "
          DELETE FROM articulos_pedidos_articulos
          WHERE Id = '$Art[id]'
        ";
        $Result = mysqli_query($mysqli, $Query);

        $Data = array(
          'action'  => 'ok',
          'msn'     => 'Articulo eliminado del pedido'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }else{

        $Data = array(
          'action'      => 'error',
          'error'       => 'er-1',
          'error_msn'   => 'Error'
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }

    }else{

      $Data = array(
        'action'      => 'error',
        'error'       => 'er-1',
        'error_msn'   => 'Error'
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }
?>
